#include <bits/stdc++.h>
using namespace std;

int main()
{
	long long int n,k,c,uk=0,i,j,cc;
	
	cin>>n>>k>>c;
	long long int niz[n];
	cc=c;
	for(i=0;i<n;i++)
	{
		cin>>niz[i];
	}
	
	for(i=0;i<n-k+1;i++)
	{
		uk=0;
		c=1;
		for(j=i;j<i+k;j++)
		{
			uk=uk+c*niz[j];
			if(cc>c)
			{
				c++;
			}
			
		}
		cout<<uk<<" ";
	}
}